! ======================= advection ===================
! Integrate forward (advection only) by one time step.
!
! Variables from global_data that are used here:
!   s1	           input    real array   values at current time step
!   s2	           output   real array   values at next time step
!   c              input    real         flow speed for linear case
!   dx             input    real         grid spacing
!   nx             input    integer	 number of grid points
!
! Arguments:
!   dt             input    real         time step
!   advection_type input    character    'L' if linear, 'N' if nonlinear

  subroutine advection(dt,advection_type)
  USE global_data
  implicit none

  real, intent(in)                     :: dt
  character, intent(in)                :: advection_type

  integer :: i
  real    :: courant, sigma

  if (advection_type == 'L') then

     print*,' >Put integration code here for linear advection.'
     do i = 1,nx
       s2(i) = 0.90*s1(i)
     enddo

  else if (advection_type == 'N') then

     print*,' >Put integration code here for nonlinear advection.'
     do i = 1,nx
       s2(i) = 0.90*s1(i)
     enddo

  else
    print*,' >Integrate: unknown advection type ',advection_type
    stop
  endif

  return
  end subroutine advection
