!
! Access to the variables in this MODule is as simple
! as putting "USE global_data" in each routine using it
! (e.g before the IMPLICIT NONE statement)

MODULE global_data
IMPLICIT NONE

! ... Parameters
! "nx" is the number of physical grid points - Not including 'ghost points'
! "maxstep" is the maximum number of time steps.
! "c" is [constant] flow speed (e.g. meters/sec) - used only in linear case
! "dx" is grid spacing: distance (e.g. meters) between grid points in X, Y
! "name" is a variable containing your name - used to label the plots.

  integer, parameter      :: nx=25
  integer, parameter      :: maxstep=500
  real, parameter         :: c=1.0
  real, parameter         :: dx=0.1
  character*9,  parameter :: title="Program 1"
  character*30, parameter :: name="YourNameHERE"

! ... Arrays
!  "save" is implied for module variables since Fortran 2008.

  real, dimension(0:nx+1)     :: s1,s2,strue
  real, dimension(maxstep)    :: strace(maxstep)
  real, dimension(nx,maxstep) :: history(nx,maxstep)

END MODULE global_data
