! ============================ ic =====================
! IC sets the initial condition
!
! Variables from global_data that are used here:
!
!   s1  output  real array   holds initial condition
!   dx  input   real         grid spacing
!   nx  integer              number of physical grid points

  subroutine ic
  USE global_data
  implicit none

  integer :: i
  real    :: x,pi,length

  pi = 4.0*atan(1.0)
  length = dx*real(nx)

  do i = 1,nx
    x = dx*real(i-1)
    s1(i) = sin( 2.*pi/length*x )
  enddo

  return
  end subroutine ic
